Deny Assignments - List

サブスクリプションのすべての拒否割り当てを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Authorization/denyAssignments?api-version=2022-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Authorization/denyAssignments?api-version=2022-04-01&$filter={$filter}

URI パラメーター

Name / 必須 型 説明
subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

$filter
query

string

操作に適用するフィルター。 スコープ以上のすべての拒否割り当てを返すには、$filter=atScope() を使用します。 $filter=denyAssignmentName eq '{name}' を使用して、指定したスコープの名前で拒否割り当てを検索します。 $filter=principalId eq '{id}' を使用して、指定したプリンシパルのスコープの上と下にあるすべての拒否割り当てを返します。 $filter=gdprExportPrincipalId eq '{id}' を使用して、指定したプリンシパルのスコープの上下にあるすべての拒否割り当てを返します。 このフィルターは、指定したプリンシパルを含む拒否割り当てがプリンシパル リストであるだけでなく、指定されたプリンシパルを含む拒否割り当ても ExcludePrincipals リストであるため、principalId フィルターとは異なります。 さらに、gdprExportPrincipalId フィルターを使用すると、拒否割り当ての名前と説明のプロパティのみが返されます。

応答

Name 型 説明
200 OK

DenyAssignmentListResult

OK - 拒否割り当ての配列を返します。

Other Status Codes

ErrorResponse

操作が失敗した理由を説明するエラー応答。

アクセス許可

この API を呼び出すには、次のアクセス許可を持つロールがお客様に割り当てられている必要があります。 詳細については、Azure の組み込みロールに関するページを参照してください。

Microsoft.Authorization/denyAssignments/read

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

Name 説明
user_impersonation ユーザー アカウントを偽装する

例

List deny assignments for subscription

要求のサンプル

GET https://management.azure.com/subscriptions/subId/providers/Microsoft.Authorization/denyAssignments?api-version=2022-04-01

応答のサンプル

{
  "value": [
    {
      "properties": {
        "denyAssignmentName": "Deny assignment name",
        "description": "Deny assignment description",
        "permissions": [
          {
            "actions": [
              "action"
            ],
            "notActions": [],
            "dataActions": [
              "action"
            ],
            "notDataActions": []
          }
        ],
        "scope": "/subscriptions/subId",
        "doNotApplyToChildScopes": false,
        "principals": [
          {
            "id": "principalId1",
            "type": "principalType1"
          }
        ],
        "excludePrincipals": [
          {
            "id": "principalId2",
            "type": "principalType2"
          }
        ],
        "isSystemProtected": true
      },
      "id": "/subscriptions/subId/providers/Microsoft.Authorization/denyAssignments/denyAssignmentId",
      "type": "Microsoft.Authorization/denyAssignments",
      "name": "denyAssignmentId"
    }
  ]
}

定義

Name 説明
DenyAssignment

拒否割り当て

DenyAssignmentListResult

拒否割り当てリスト操作の結果。

DenyAssignmentPermission

割り当てアクセス許可を拒否します。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

Principal

エンティティの最後に変更された名前

DenyAssignment

拒否割り当て

Name 型 説明
id

string

拒否割り当て ID。

name

string

拒否割り当て名。

properties.condition

string

拒否割り当ての条件。 これにより、割り当て可能なリソースが制限されます。例: @Resource[Microsoft.Storage/storageAccounts/blobServices/containers:ContainerName] StringEqualsIgnoreCase 'foo_storage_container'

properties.conditionVersion

string

条件のバージョン。

properties.createdBy

string

割り当てを作成したユーザーの ID

properties.createdOn

string (date-time)

作成された時刻

properties.denyAssignmentName

string

拒否割り当ての表示名。

properties.description

string

拒否割り当ての説明。

properties.doNotApplyToChildScopes

boolean

拒否割り当てが子スコープに適用されるかどうかを判断します。 既定値は false です。

properties.excludePrincipals

Principal[]

拒否割り当てが適用されないプリンシパルの配列。

properties.isSystemProtected

boolean

この拒否割り当てが Azure によって作成され、編集または削除できないかどうかを指定します。

properties.permissions

DenyAssignmentPermission[]

拒否割り当てによって拒否されるアクセス許可の配列。

properties.principals

Principal[]

拒否割り当てが適用されるプリンシパルの配列。

properties.scope

string

拒否割り当てスコープ。

properties.updatedBy

string

割り当てを更新したユーザーの ID

properties.updatedOn

string (date-time)

更新された時刻

type

string

拒否割り当ての種類。

DenyAssignmentListResult

拒否割り当てリスト操作の結果。

Name 型 説明
nextLink

string

次の結果セットの取得に使用する URL。

value

DenyAssignment[]

拒否割り当てリスト。

DenyAssignmentPermission

割り当てアクセス許可を拒否します。

Name 型 説明
actions

string[]

拒否割り当てでアクセス権が付与されないアクション。

condition

string

拒否割り当てアクセス許可の条件。 これにより、適用されるリソースが制限されます。

conditionVersion

string

条件のバージョン。

dataActions

string[]

拒否割り当てによってアクセスが許可されないデータ アクション。

notActions

string[]

拒否割り当てから除外するアクションは、アクセス権を付与しません。

notDataActions

string[]

拒否割り当てから除外するデータ アクションは、アクセス権を付与しません。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

Name 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

Name 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

Name 型 説明
error

ErrorDetail

エラー オブジェクト。

Principal

エンティティの最後に変更された名前

Name 型 説明
displayName

string

変更されたプリンシパルの名前

email

string

プリンシパルの電子メール

id

string

変更を行ったプリンシパルの ID

type

string

ユーザー、グループなどのプリンシパルの種類